Subject: Re: messed up user permissions from w2k terminal session
From: Samuel Thibault <[email-masked]>
To: [email-masked], "Pierre A. Humblet" <[email-masked]>
Cc: [email-masked]
Date: Mon, 17 Nov 2003 16:37:48 +0100

Hi,

Le mer 08 oct 2003 19:45:46 GMT, Pierre A. Humblet a tapoté sur son clavier :
> On Fri, Oct 03, 2003@04:48:43PM -0400, James D Below wrote:
> > HI everyone,
> > 
> > I'm not sure how I did it but I messed up my user permissions or local 
> > policy settings.  Now whenever I run any cygwin app (bash.exe, wc.exe, 
> > rxvt.exe) from a w2k terminal session and logged in as a user, I see the 
> > following error:
> > 
> >  **** CreateFileMapping, Win32 error 5.  Terminating.
> > 
> > I'm running Windows 2000 SP4 and CYGWIN = binmode tty ntsec
> 
> This problem has now been explained with James' help and this message
> is to close the thread.
> It turns out that on some recent Windows systems a special privilege,
> "create global objects", is required to run Cygwin 1.5.X from
> a terminal session. It can be given to users with the "editrights.exe"
> utility.

Hmmm. I can't find such right. editrights gives me this list:

editrights version 1.01: a cygwin application to edit user rights
                         on a Windows NT system.
Copyright Chris Rodgers <editrights-at-bulk.rodgers.org.uk>, Sep, 2003.
All rights reserved. See LICENCE for further details.

Usage: editrights -u USER {-a|-l|-r|-t} [options]
  -a Se...         Add right to the specified user.
  -h               Show this help message. -hv lists available user rights.
  -l               List user rights. May be combined with -a or
                   -r to list final state.
  -m MACHINE       Make all changes on the specified MACHINE.
  -r Se...         Remove right from the specified user.
  -t Se...         Test if the specified right is held by user. Returns
0 for YES and 2 for NO.
  -u USER/GROUP    Make changes to the specified USER or GROUP.
  -v               Verbose mode.

Return values:
   0               Success or YES.
   1               Error.
   2               NO.

Available user rights include:
SeAssignPrimaryTokenPrivilege
SeAuditPrivilege
SeBackupPrivilege
SeBatchLogonRight
SeChangeNotifyPrivilege
SeCreatePagefilePrivilege
SeCreatePermanentPrivilege
SeCreateTokenPrivilege
SeDebugPrivilege
SeDenyBatchLogonRight
SeDenyInteractiveLogonRight
SeDenyNetworkLogonRight
SeDenyRemoteInteractiveLogonRight
SeDenyServiceLogonRight
SeEnableDelegationPrivilege
SeIncreaseBasePriorityPrivilege
SeIncreaseQuotaPrivilege
SeInteractiveLogonRight
SeLoadDriverPrivilege
SeLockMemoryPrivilege
SeMachineAccountPrivilege
SeManageVolumePrivilege
SeNetworkLogonRight
SeProfileSingleProcessPrivilege
SeRemoteInteractiveLogonRight
SeRemoteShutdownPrivilege
SeRestorePrivilege
SeSecurityPrivilege
SeServiceLogonRight
SeShutdownPrivilege
SeSyncAgentPrivilege
SeSystemEnvironmentPrivilege
SeSystemProfilePrivilege
SeSystemtimePrivilege
SeTakeOwnershipPrivilege
SeTcbPrivilege
SeUndockPrivilege
SeUnsolicitedInputPrivilege

Which one should be set ?

Regards,
Samuel Thibault

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/